Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class XPathMV

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.proc.Proc
                  org.basex.core.proc.XPathMV

    public final class XPathMV

extends Proc

BaseX command.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.AbstractProcess
`cmd`

Constructor Summary
`XPathMV()`

Method Summary
`double` | `attNum(Data data, int att, int pre)` Finds the specified attribute for the specified element and returns the numeric attribute value.
`int` | `show(PrintOutput out)` Returns an MedioVis XML document.

Methods inherited from class org.basex.core.proc.Proc
`det, execute, execute, get, head, info, info, output, output, prog, result, toString`

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathMV

    public XPathMV()

Method Detail

### attNum

    public double attNum(Data data,
                         int att,
                         int pre)

  Finds the specified attribute for the specified element and returns the numeric attribute value.

  Parameters:
    `data` - data reference
    `att` - attribute to be found
    `pre` - pre value
  Returns:
    attribute value

### show

    public int show(PrintOutput out)
             throws java.io.IOException

  Returns an MedioVis XML document.

  Parameters:
    `out` - output stream
  Returns:
    number of hits
  Throws:
    `java.io.IOException` - in case of problems with the PrintOutput

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD